Post by skip » Sun Nov 29, 2020 3:55 pm

Hi, on install screen for version 3036 i noticed errors for .gd and .zip extension , my php version was 7.3 - showed that .gd and.zip was disabled !
Then I changed version in hosting panel to 7.4 and error gone on install screen.
But now all my old subdomains with older version of OC show errors on admin panel login page !
How to fix this ?
Thanks

Attachments

php.jpg

php.jpg (199.35 KiB) Viewed 225 times


Active Member

Posts

Joined
Mon May 09, 2011 9:57 pm

Post by sw!tch » Sun Nov 29, 2020 4:22 pm

If it was showing GD and ZIP not loaded under php 7.3 chances are they weren't. It uses PHP 's extension_loaded function to check. You can always phpinfo() to confirm as well.

FYI - Opencart will work fine under PHP 7.3, contact your host to confirm those modules are being loaded.

Full Stack Web Developer :: Send a PM for Custom Work / Fast Support.
Backup and learn how to recover before you make any changes!


Active Member

Posts

Joined
Sat Apr 28, 2012 2:32 pm
Location - USA

Post by OSWorX » Sun Nov 29, 2020 4:29 pm

skip wrote:
Sun Nov 29, 2020 3:55 pm
Hi, on install screen for version 3036 i noticed errors for .gd and .zip extension , my php version was 7.3 - showed that .gd and.zip was disabled !
What for do you think is this check .. just for nothing?!
If any of that checked server extensions are not enabled or installed, the system will not work!
And simply changing the php-version is useless.

As sw!tch said, use php 7.3 because you have not stated which versions your other OC installations have.

Full Stack Web Developer :: Dedicated OpenCart Development & Support DACH Region
Contact for Custom Work / Fast Support.


User avatar
Guru Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by skip » Sun Nov 29, 2020 5:18 pm

In my hosting panel under configuration it show I have 7.3 allready , and status for php version on installation page of opencart say OK

Attachments

php3.jpg

php3.jpg (436.25 KiB) Viewed 176 times


Active Member

Posts

Joined
Mon May 09, 2011 9:57 pm

Post by OSWorX » Sun Nov 29, 2020 6:15 pm

And GD & zip .. ??
They have to be enabled also - all settings must have a green icon!

Full Stack Web Developer :: Dedicated OpenCart Development & Support DACH Region
Contact for Custom Work / Fast Support.


User avatar
Guru Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by skip » Sun Nov 29, 2020 6:53 pm

There wass problem on hosting - they solved it now and it work, thanks

Active Member

Posts

Joined
Mon May 09, 2011 9:57 pm
Who is online

Users browsing this forum: No registered users and 21 guests